# This is a sample of a minimal configuration file for Knot DNS.
# See knot.conf(5) or refer to the server documentation.

server:
    rundir: "/var/run/knot"
    user: knot:knot
    automatic-acl: on
#    listen: [ 127.0.0.1@53, ::1@53 ]

log:
  - target: syslog
    any: info

database:
    storage: "/var/knot/lib"

remote:
#  - id: secondary
#    address: 192.168.1.1@53
#
#  - id: primary
#    address: 192.168.2.1@53

template:
  - id: default
    storage: "/var/knot/lib"
    file: "%s.zone"

zone:
#    # Primary zone
#  - domain: example.com
#    notify: secondary

#    # Secondary zone
#  - domain: example.net
#    master: primary
